[graph-tool-tickets] [graph-tool] Ticket #105: All the dependencies are installed, but make fails when building graph-tool

graph-tool webmaster at skewed.de
Wed Jul 4 09:39:02 UTC 2012


#105: All the dependencies are installed, but make fails when building graph-tool
new defect
---------------------------------------------------------------------
Reporter: zrbecker at gmail.com
Owner: tiago peixoto
Priority: normal
Milestone: (None)

---------------------------------------------------------------------
Comment (by tiago peixoto (2)):

What gcc version do you have? It is apple's or FSF's?

In any case, you should try using the Clang compiler. Apple's GCC is stuck at version 4.2 and is being deprecated. FSF's GCC does not seem to work well on the platform (it compiles graph-tool just fine, but it results in spurious nonsensical segfaults related to exception handling and RTTI). On the other hand, the clang compiler has been reported to work well.

I will mention this in the requirements page.
--
Ticket URL: <URL:http://graph-tool.skewed.de/ticket/105>
graph-tool <URL:http://graph-tool.skewed.de/>
An efficient python module for graph analysis and manipulation.


More information about the graph-tool-tickets mailing list